IntHashMap (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.collection.IntHashMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.collection
Class IntHashMap

    java.lang.Object
      org.hyperic.util.collection.IntHashMap

Direct Known Subclasses:
  FIFOIntMap

    public class IntHashMap

extends java.lang.Object

A hash map that uses primitive ints for the key rather than objects.

Note that this class is for internal optimization purposes only, and may not be supported in future releases of Jakarta Commons Lang. Utilities of this sort may be included in future releases of Jakarta Commons Collections.

Since:
  2.0
See Also:
  `HashMap`

Constructor Summary
`IntHashMap()` Constructs a new, empty hashtable with a default capacity and load factor, which is `20` and `0.75` respectively.
`IntHashMap(int initialCapacity)` Constructs a new, empty hashtable with the specified initial capacity and default load factor, which is `0.75`.
`IntHashMap(int initialCapacity, float loadFactor)` Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

Method Summary
`void` | `clear()` Clears this hashtable so that it contains no keys.
`boolean` | `contains(java.lang.Object value)` Tests if some key maps into the specified value in this hashtable.
`boolean` | `containsKey(int key)` Tests if the specified object is a key in this hashtable.
`boolean` | `containsValue(java.lang.Object value)` Returns `true` if this HashMap maps one or more keys to this value.
`java.lang.Object` | `get(int key)` Returns the value to which the specified key is mapped in this map.
`int[]` | `getKeys()` Get the keys of the map in an array of ints
`boolean` | `isEmpty()` Tests if this hashtable maps no keys to values.
`java.lang.Object` | `put(int key, java.lang.Object value)` Maps the specified `key` to the specified `value` in this hashtable.
`protected void` | `rehash()` Increases the capacity of and internally reorganizes this hashtable, in order to accommodate and access its entries more efficiently.
`java.lang.Object` | `remove(int key)` Removes the key (and its corresponding value) from this hashtable.
`int` | `size()` Returns the number of keys in this hashtable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntHashMap

    public IntHashMap()

  Constructs a new, empty hashtable with a default capacity and load factor, which is `20` and `0.75` respectively.

### IntHashMap

    public IntHashMap(int initialCapacity)

  Constructs a new, empty hashtable with the specified initial capacity and default load factor, which is `0.75`.

  Parameters:
    `initialCapacity` - the initial capacity of the hashtable.
  Throws:
    `java.lang.IllegalArgumentException` - if the initial capacity is less than zero.

### IntHashMap

    public IntHashMap(int initialCapacity,
                      float loadFactor)

  Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

  Parameters:
    `initialCapacity` - the initial capacity of the hashtable.
    `loadFactor` - the load factor of the hashtable.
  Throws:
    `java.lang.IllegalArgumentException` - if the initial capacity is less than zero, or if the load factor is nonpositive.

Method Detail

### size

    public int size()

  Returns the number of keys in this hashtable.

  Returns:
    the number of keys in this hashtable.

### isEmpty

    public boolean isEmpty()

  Tests if this hashtable maps no keys to values.

  Returns:
    `true` if this hashtable maps no keys to values; `false` otherwise.

### contains

    public boolean contains(java.lang.Object value)

  Tests if some key maps into the specified value in this hashtable. This operation is more expensive than the `containsKey` method.

  Note that this method is identical in functionality to containsValue, (which is part of the Map interface in the collections framework).

  Parameters:
    `value` - a value to search for.
  Returns:
    `true` if and only if some key maps to the `value` argument in this hashtable as determined by the `equals` method; `false` otherwise.
  Throws:
    `java.lang.NullPointerException` - if the value is `null`.
  See Also:
    `containsKey(int)`, `containsValue(Object)`, `Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Returns `true` if this HashMap maps one or more keys to this value.

  Note that this method is identical in functionality to contains (which predates the Map interface).

  Parameters:
    `value` - value whose presence in this HashMap is to be tested.
  Since:
    JDK1.2
  See Also:
    `Map`

### containsKey

    public boolean containsKey(int key)

  Tests if the specified object is a key in this hashtable.

  Parameters:
    `key` - possible key.
  Returns:
    `true` if and only if the specified object is a key in this hashtable, as determined by the `equals` method; `false` otherwise.
  See Also:
    `contains(Object)`

### get

    public java.lang.Object get(int key)

  Returns the value to which the specified key is mapped in this map.

  Parameters:
    `key` - a key in the hashtable.
  Returns:
    the value to which the key is mapped in this hashtable; `null` if the key is not mapped to any value in this hashtable.
  See Also:
    `put(int, Object)`

### rehash

    protected void rehash()

  Increases the capacity of and internally reorganizes this hashtable, in order to accommodate and access its entries more efficiently.

  This method is called automatically when the number of keys in the hashtable exceeds this hashtable's capacity and load factor.

### put

    public java.lang.Object put(int key,
                                java.lang.Object value)

  Maps the specified `key` to the specified `value` in this hashtable. The key cannot be `null`.

  The value can be retrieved by calling the `get` method with a key that is equal to the original key.

  Parameters:
    `key` - the hashtable key.
    `value` - the value.
  Returns:
    the previous value of the specified key in this hashtable, or `null` if it did not have one.
  Throws:
    `java.lang.NullPointerException` - if the key is `null`.
  See Also:
    `get(int)`

### remove

    public java.lang.Object remove(int key)

  Removes the key (and its corresponding value) from this hashtable.

  This method does nothing if the key is not present in the hashtable.

  Parameters:
    `key` - the key that needs to be removed.
  Returns:
    the value to which the key had been mapped in this hashtable, or `null` if the key did not have a mapping.

### clear

    public void clear()

  Clears this hashtable so that it contains no keys.

### getKeys

    public int[] getKeys()

  Get the keys of the map in an array of ints

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.